#
# Conditional build:
%bcond_without	dmx		# DMX support (xserver < 21)
%bcond_with	xf86misc	# XF86-Misc extensions support (xserver < 1.6)

Summary:	xdpyinfo application - display information utility for X
Summary(pl.UTF-8):	Aplikacja xdpyinfo - narzędzie do wyświetlania informacji dla X
Name:		xorg-app-xdpyinfo
Version:	1.3.4
Release:	2
License:	MIT
Group:		X11/Applications
Source0:	https://xorg.freedesktop.org/releases/individual/app/xdpyinfo-%{version}.tar.xz
# Source0-md5:	933e6d65f96c890f8e96a9f21094f0de
URL:		https://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	libxcb-devel
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXcomposite-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXi-devel
BuildRequires:	xorg-lib-libXinerama-devel
BuildRequires:	xorg-lib-libXrender-devel
BuildRequires:	xorg-lib-libXtst-devel
BuildRequires:	xorg-lib-libXxf86dga-devel
%{?with_xf86misc:BuildRequires:	xorg-lib-libXxf86misc-devel}
BuildRequires:	xorg-lib-libXxf86vm-devel
%{?with_dmx:BuildRequires:	xorg-lib-libdmx-devel}
BuildRequires:	xorg-proto-xproto-devel >= 7.0.22
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
xdpyinfo is a utility for displaying information about an X server.

It is used to examine the capabilities of a server, the predefined
values for various parameters used in communicating between clients
and the server, and the different types of screens, visuals, and X11
protocol extensions that are available.

%description -l pl.UTF-8
xdpyinfo to narzędzie do wyświetlania informacji o serwerze X.

Służy do sprawdzania możliwości serwera, predefiniowanych wartości
różnych parametrów używanych w komunikacji między klientami a serwerem
oraz dostępności różnych rodzajów ekranów, widoków i rozszerzeń
protokołu X11.

%prep
%setup -q -n xdpyinfo-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{?with_dmx:--with-dmx} \
	%{?with_xf86misc:--with-xf86misc}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README.md
%attr(755,root,root) %{_bindir}/xdpyinfo
%{_mandir}/man1/xdpyinfo.1*
%changelog
* Sat Jun 10 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-app-xdpyinfo.git;a=log;h=master

* Sat Jun 10 2023 Jan Rękorajski <baggins@pld-linux.org> 4199c32
- Release 2 (by relup.sh)

* Thu May 04 2023 Jakub Bogusz <qboosh@pld-linux.org> 51503b1
- updated to 1.3.4; xf86misc disabled by default, bcond to disable dmx

* Fri Apr 15 2022 Jakub Bogusz <qboosh@pld-linux.org> 5a2eebb
- updated to 1.3.3

* Mon Apr 20 2015 Jakub Bogusz <qboosh@pld-linux.org> 9998d7c
- updated to 1.3.2

* Tue May 21 2013 Jakub Bogusz <qboosh@pld-linux.org> ddcafee
- updated to 1.3.1

* Mon Oct 24 2011 Jakub Bogusz <qboosh@pld-linux.org> 2727a7b
- updated to 1.3.0 (uses XCB now; Xprint support dropped)

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> dd2a75e
- dropped pre-cvs changelog

* Tue Oct 05 2010 Jakub Bogusz <qboosh@pld-linux.org> 9b2f665
- updated to 1.2.0

* Sun Oct 18 2009 Jakub Bogusz <qboosh@pld-linux.org> de353d6
- updated to 1.1.0

* Wed May 21 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 0200587
- up to 1.0.3

* Wed Mar 21 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> d828616
- up to 1.0.2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> dfb037b
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 321ca10
- converted to UTF-8

* Sun Oct 15 2006 Jakub Bogusz <qboosh@pld-linux.org> 7e607fa
- use individual dir, more verbose files, release 1

* Thu Jan 12 2006 Jakub Bogusz <qboosh@pld-linux.org> c750d1e
- 1.0.1 (X11R7.0 release)

* Fri Dec 09 2005 Jakub Bogusz <qboosh@pld-linux.org> a489402
- 0.99.2 (X11R7.0-RC3)

* Sat Oct 22 2005 Jakub Bogusz <qboosh@pld-linux.org> a211685
- pkgconfig epoch

* Sat Oct 22 2005 Jakub Bogusz <qboosh@pld-linux.org> 2ce98fb
- 0.99.1 (X11R7.0-RC1)

* Sat Aug 27 2005 Jakub Bogusz <qboosh@pld-linux.org> 0acdcb5
- sorted BRs

* Sat Aug 27 2005 Artur Frysiak <artur@frysiak.net> f04daf7
- standard permisions to binaries

